跳转到内容
Try Gitea Cloud ☁️ for 30 days → Accelerate your Development & Deploys!
Support
This is the documentation of 21.11.0, which is no longer the latest release. See the latest release.

Get user permissions in organization

GET
/users/{username}/orgs/{org}/permissions
curl --request GET \
--url https://gitea.example.com/api/v1/users/example/orgs/example/permissions \
--header 'Authorization: Basic <credentials>'
username
required
string

Username of user

org
required
string

Name of the organization

OrganizationPermissions

Media typeapplication/json

OrganizationPermissions list different users permissions on an organization

object
can_create_repository
boolean
can_read
boolean
can_write
boolean
is_admin
boolean
is_owner
boolean
Examplegenerated
{
"can_create_repository": true,
"can_read": true,
"can_write": true,
"is_admin": true,
"is_owner": true
}

APIForbiddenError is a forbidden error response

Media typeapplication/json
message
string
url
string

APINotFound is a not found empty response

Media typeapplication/json